System.ComponentModel.DataAnnotations 4.0.0.0 System.ComponentModel.DataAnnotations.DataTypeAttribute System.AttributeUsage(System.AttributeTargets.Property | System.AttributeTargets.Field | System.AttributeTargets.Parameter | System.AttributeTargets.All, AllowMultiple=false) To be added.

Validates file name extensions.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the file name extensions.

- Method
  4.0.0.0
  System.String `` To be added.

  Applies formatting to an error message, based on the data field where the error occurred.

  The formatted error message.

  The name of the field that caused the validation failure.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Checks that the specified file name extension or extensions is valid.

  true if the file name extension is valid; otherwise, false.

  A comma delimited list of valid file extensions.